> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goshippo.com/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Shippo is a multi-carrier shipping API. For agent integrations that execute shipping operations (rates, labels, tracking, address validation, customs), connect the hosted Shippo MCP server at https://mcp.shippo.com (per-user OAuth; setup at /guides/mcp-server). To search and read this documentation from an agent, a docs search MCP is available at https://docs.goshippo.com/mcp. Shipping workflow knowledge (agent skills and a knowledge pack) is published at https://github.com/goshippo/ai. For REST integrations start at /guides/api-quickstart; test mode uses shippo_test_ API keys.

# Invoices

> View and manage your Shippo invoices and invoice line items programmatically using the invoices API endpoints.

An invoice is a request for payment for Shippo services. It is a collection of invoice items.
If you created your Shippo account before 11/15/2022, Shippo will generate a new invoice if your accumulated bill is greater than \$100 or if it’s been seven days since your last invoice. If you created your Shippo account after 11/15/2022, Shippo will generate an invoice for each purchase you make. For more details, see this [article](https://support.goshippo.com/hc/en-us/articles/11310609824027-Billing-for-Accounts-Created-After-11-15-2022).

To learn more about Shippo invoices, see our [Billing FAQ](https://support.goshippo.com/hc/en-us/articles/360024703991-Shippo-Billing-FAQs#do-i-pay-for-label-purchases-immediately-after-i-buy-a-label--0-0).
Normally, invoices are emailed to you and are stored in your [Shippo account](https://support.goshippo.com/hc/en-us/articles/360024703991-Shippo-Billing-FAQs#h_54bd4203-76a9-4429-bde0-80d0827228ac:~:text=changing%20your%20card.-,Where%20do%20I%20print%20a%20receipt%20for%20my%20label%20purchases%3F,-You%20can%20download). If you would prefer to access your invoice information programmatically, we also provide access using the endpoints
`https://api.goshippo.com/invoices` and `https://api.goshippo.com/invoice-items`.

## View all invoices

The invoice object is the total amount you are charged. To see all your invoices, follow this example. Results are paginated and can be [filtered](https://docs.goshippo.com/api-concepts/filtering.md).

```shell theme={null}
curl https://api.goshippo.com/invoices?results=20&page=2  \
  -H "Authorization: ShippoToken <API_TOKEN>" \
  -H "Content-Type: application/json"
```

The response will look like this.

```json theme={null}
{
  "next": "baseurl?page=3&results=10",
  "previous": "baseurl?page=1&results=10",
  "results": [
    {
      "object_id": "ec9f0d3adc9441449c85d315f0997fd5",
      "object_created": "2023-05-24T14:15:22Z",
      "object_updated": "2023-05-24T14:15:22Z",
      "shippo_account": "915d94940ea54c3a80cbfa328722f5a1",
      "invoice_number": 234167,
      "status": "POSTED",
      "invoice_closed": "2023-05-24T14:15:22Z",
      "invoice_paid_date": "2023-05-24T14:15:22Z",
      "total_invoiced": {
        "amount": "5.52",
        "currency": "USD"
      },
      "total_charged": {
        "amount": "5.52",
        "currency": "USD"
      }
    }
  ]
}
```

To see an individual invoice, you can pass the object ID of an individual invoice
`https://https://api.goshippo.com/invoices/{InvoiceObjectId}`

## View all invoices items

Invoice items are the individual items that make up an invoice. For example, label payment, surcharges, subscription plan fee, etc.
There are a number of ways to select which invoice items you see. Using the query parameters you can select by invoiceObjectId , invoiceNumber, and shippoAccountId (if you have Shippo managed accounts).

```shell theme={null}
https://api.goshippo.com/invoice-items?results=20&page=2&invoiceObjectId="ec9f0d3adc9441449c85d315f0997fd5"   \
  -H "Authorization: ShippoToken <API_TOKEN>" \
  -H "Content-Type: application/json"
```

The response will look like this.

```json theme={null}
{
  "next": "baseurl?page=3&results=10",
  "previous": "baseurl?page=1&results=10",
  "results": [
    {
      "object_created": "2023-05-24T14:15:22Z",
      "object_updated": "2023-05-24T14:15:22Z",
      "shippo_account": "915d94940ea54c3a80cbfa328722f5a1",
      "type": "LABEL_PAYMENT",
      "description": "monthly subscription plan fee for 2023-05-24",
      "amount": "5.54",
      "currency": "USD",
      "charge_conversion": {
        "rate": "0.89",
        "time": "2023-05-24T14:15:22Z",
        "amount": "4.91",
        "currency": "USD"
      },
      "invoice": "011044d8405e43bd8b1efe1c21f967df",
      "transaction": "915d94940ea54c3a80cbfa328722f5a1"
    }
  ]
}

```

The key value pair `type` shows the classification of the type of invoice item.
See the table below for a list of possible types of invoice items.

| Type | Description |
| - | - |
| LABEL\_PAYMENT | Invoice Item for the payment of a label. |
| LABEL\_SURCHARGE | Invoice Item for a surcharge of a label. See [here](https://support.goshippo.com/hc/en-us/articles/115004734443-Understanding-Postal-Surcharges-in-Shippo) for more information. |
| LABEL\_REFUND | Invoice Item for a refund of a label. |
| ONE\_OFF\_CREDIT | Invoice Item for credit given by Shippo. |
| TRACK\_FEE | Invoice Item for fees associated with tracking services. |
| ADDRESS\_VALIDATION\_FEE | Invoice Item for fees associated with global address validation services. |
| SUBSCRIPTION\_PLAN\_FEE | Invoice Item for subscription plan fees. |
| PROMO\_CODE\_CREDIT | Invoice Item for promotional code related credits. |
| PREAUTH\_CAPTURE | Invoice Item for preauthorization capture. Represents a credit. See [here](https://support.goshippo.com/hc/en-us/articles/360036424991-How-to-Ship-with-Shippo-During-Peak-Season#how-do-i-refund-a-label--0-4:~:text=refund%20a%20label.-,What%20are%20Pre%2DAuthorization%20charges%3F,-When%20keeping%20track) for more information. |
| LABEL\_PAYMENT\_ADJUSTMENT | Invoice Item for adjustments on label purchases. |
| LABEL\_REFUND\_ADJUSTMENT | Invoice Item for adjustments on label refunds. |


## Related topics

- [Migrate from the Invoice API](https://docs.goshippo.com/reporting-api/migrate-from-invoice-api.md)
- [International shipping](https://docs.goshippo.com/international-shipping/international-shipping.md)
- [Create shipment](https://docs.goshippo.com/carriers/integration-guides/colissimo/create-shipment.md)
